Download it now!
Bug 47490 - CONFIGURATION: "Show overwrite warning when pasting data" setting is not honored when "Enter" is used to paste
Summary: CONFIGURATION: "Show overwrite warning when pasting data" setting is not hono...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: high minor
Assignee: Aditya Sahu
URL:
Whiteboard: BSA target:6.5.0
Keywords: difficultyBeginner, easyHack, implementationError, skillCpp
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2012-03-18 23:49 UTC by fxam
Modified: 2019-11-22 10:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fxam 2012-03-18 23:49:50 UTC
Problem description: 
"Show overwrite warning when pasting data" setting is not honored. No messagebox appears no matter when this option is enabled.

Steps to reproduce:
1. Open "Tools -> Options -> LibreOffice Calc -> General"
2. Tick "Show overwrite warning when pasting data"
3. Click "OK"
4. Copy a cell
5. Go to a cell with value
6. Press "Enter"
7. No dialog appears. Existing cell is overwritten.

Current behavior:
No dialog appears. Existing cell is overwritten.

Expected behavior:
A "Yes/No" dialog should appear and ask whether to overwrite data.

Platform (if different from the browser): 
Windows Vista Ultimate 32-bit English

Browser: Opera/9.80 (Windows NT 6.0; U; en) Presto/2.10.229 Version/11.61
Comment 1 bfoman (inactive) 2012-08-10 12:53:00 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit(In reply to comment #0)

> No dialog appears. Existing cell is overwritten.

Confirmed.
Comment 2 QA Administrators 2016-01-17 20:02:44 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-03-06 13:58:27 UTC Comment hidden (obsolete)
Comment 4 Timur 2018-02-21 11:04:07 UTC
Repro in 6.1+. And also in LO 3.3. Couldn't repro in OO 3.3 so seems not inherited but implementation error.
Comment 5 QA Administrators 2019-02-22 03:43:11 UTC Comment hidden (obsolete)
Comment 6 Mike Kaganski 2019-06-10 13:19:09 UTC
Sode pointer: ScGridWindow::KeyInput in sc/source/ui/view/gridwin.cxx; check call to ScClipUtil::PasteFromClipboard.
Comment 7 Commit Notification 2019-11-21 18:00:53 UTC
Aditya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/844b4ac41009143092ef08f163783d48dfbe9b77

tdf#47490: Show overwrite warning when pasting data using "Enter"

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Timur 2019-11-22 10:08:20 UTC
Nice. Verified.